{
  "Name": "platform-sysevents-plugin",
  "Type": "LRP",
  "Version": "1.0.1018",
  "MinimumAgentVersion": "1.0.484",
  "UnsupportedOS": [{"Type": "Linux","Version": "6.1","Name": "Ubuntu"},{"Type": "Linux","Version": "","Name": "Kali"}],
  "SupportedArchitecture": ["X-84"],
  "Backup":["/config"],
  "Operations": [
    {
      "Type": "File",
      "Name": "sysevents/platform-sysevents-plugin.exe",
      "NewFileName": "sysevents/platform-sysevents-plugin.exe.bkp.1",
      "InstallationPath": "/plugin",
      "Action": "Rename",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents/platform-sysevents-plugin.exe",
      "InstallationPath": "/plugin",
      "FileHash": "4532df49a8d7ef8494ce7f1f54ed5c5e",
      "Action": "Add",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents/platform-sysevents-plugin.exe.bkp.1",
      "InstallationPath": "/plugin",
      "Action": "Remove",
      "RestoreOnFailure": false
    },
    {
      "Type": "File",
      "Name": "sysevents/sysevents_agent_plugin_cfg.json",
      "InstallationPath": "/plugin",
      "FileHash": "b81f945535687758f45043416b5e2628",
      "Action": "Add",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents/sysevents_agent_plugin_togglePC.json",
      "InstallationPath": "/plugin",
      "FileHash": "928d2b12ada2fe04450cb1688c7815c8",
      "Action": "Add",
      "RestoreOnFailure": true
    }
  ],
  "UninstallOperations": [
    {
      "Type": "File",
      "Name": "sysevents/platform-sysevents-plugin.exe",
      "InstallationPath": "/plugin",
      "FileHash": "4532df49a8d7ef8494ce7f1f54ed5c5e",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents/sysevents_agent_plugin_cfg.json",
      "InstallationPath": "/plugin",
      "FileHash": "b81f945535687758f45043416b5e2628",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents/sysevents_agent_plugin_togglePC.json",
      "InstallationPath": "/plugin",
      "FileHash": "928d2b12ada2fe04450cb1688c7815c8",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents/service_snapshot.json",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Remove",
      "RestoreOnFailure": true
    },
    {
      "Type": "File",
      "Name": "sysevents",
      "InstallationPath": "/plugin",
      "FileHash": "",
      "Action": "Remove",
      "RestoreOnFailure": true
    }
  ]
}
